= nng_msg_set_pipe(3)
//
// Copyright 2019 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_msg_set_pipe - set pipe for message

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>

void nng_msg_set_pipe(nng_msg *msg, nng_pipe p);
----

== DESCRIPTION

The `nng_msg_set_pipe()` sets the pipe associated with message _m_ to _p_.
This is most often useful when used with protocols that support directing
a message to a specific peer.
For example the xref:nng_pair.7.adoc[_pair_] version 1 protocol can do
this when `NNG_OPT_PAIR1_POLY` mode is set.

NOTE: Not all protocols support overriding the destination pipe.

== RETURN VALUES

None.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:nng_msg_alloc.3.adoc[nng_msg_alloc(3)],
xref:nng_msg_get_pipe.3.adoc[nng_msg_get_pipe(3)],
xref:nng_pipe_getopt.3.adoc[nng_pipe_getopt(3)],
xref:nng_msg.5.adoc[nng_msg(5)],
xref:nng.7.adoc[nng(7)]
